sObject Collections

Executes actions on multiple records in one request. Use sObject Collections to reduce the number of round-trips between the client and server. The response bodies and HTTP statuses of the requests are returned in a single response body. The entire request counts as a single call toward your API limits. This resource is available in API version 42.0 and later.
URI
The URI to use depends on the operation.
Create
POST /services/data/vXX.X/composite/sobjects
Retrieve
GET /services/data/vXX.X/composite/sobjects/SobjectName?ids=recordId,recordId&fields=fieldname,fieldname
Update
PATCH /services/data/vXX.X/composite/sobjects
Upsert
PATCH /services/data/vXX.X/composite/sobjects/SobjectName/ExternalIdFieldName
Delete
DELETE /services/data/vXX.X/composite/sobjects?ids=recordId,recordId
Formats
JSON, XML
HTTP method
GET, DELETE, PATCH, POST
Authentication
Authorization: Bearer token

The parameters, request body, and response body you use depend on the operation. For details, see the specific operation.